Subject: Re: [RFC] OS X El Capitan + Xcode ships without SSL header?!

From: Torsten Bögershausen <[email-masked]>
Date: Sun, 29 Nov 2015 18:04:54 +0100

On 21/11/15 19:58, Lars Schneider wrote:
> Hi,
> 
> I cannot build Git on a clean machine with OS X El Capitan 10.11, Xcode 7.1.1 and Xcode command line tools because of missing OpenSSL headers.
> 
> It looks like as there are no OpenSSL headers at all. I only found this weird non working version:
> /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/lib/swift-migrator/sdk/MacOSX.sdk/usr/include/openssl/ssl.h
> 
> I installed OpenSSL with brew, added the include path and it works.
> 
> Can anyone confirm?
> 
> Thanks,
> Lars
> 
(Does it make sense that you send a patch which auto-detects brew similar to fink or mac ports?)

After some proper updating of one test machine I ran into the same problem.
A possible patch may look like this:

commit 5e7c16f3350e8e62bfdb181b0b5da7352945d046
Author: Torsten Bögershausen <[email-masked]>
Date:   Sun Nov 29 17:29:22 2015 +0100

    Mac OS X 10.11: set NO_OPENSSL
    
    There is no openssl/ directory any more in Mac OS X 10.11,
    openssl is depracated since Mac OS X 10.7
    
    Set NO_OPENSSL to YesPlease as default under Mac OS X, and make it
    possible to override this and use openssl by defining DARWIN_OPENSSL

diff --git a/config.mak.uname b/config.mak.uname
index f34dcaa..a8a8b07 100644
--- a/config.mak.uname
+++ b/config.mak.uname
@@ -105,6 +105,12 @@ ifeq ($(uname_S),Darwin)
        ifeq ($(shell test "`expr "$(uname_R)" : '\([0-9][0-9]*\)\.'`" -ge 11 && echo 1),1)
                HAVE_GETDELIM = YesPlease
        endif
+       # MacOS 10.11  and higher
+       ifeq ($(shell test "`expr "$(uname_R)" : '\([0-9][0-9]*\)\.'`" -ge 15 && echo 1),1)
+               ifndef DARWIN_OPENSSL
+                       NO_OPENSSL = YesPlease
+               endif
+       endif
        NO_MEMMEM = YesPlease
        USE_ST_TIMESPEC = YesPlease
        HAVE_DEV_TTY = YesPlease